Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gcalctool
Version:	5.28.1
Release:	1
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		Office
Summary:	A graphical calculator
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel flex scrollkeeper which
BuildRequires: zlib-devel gnome-doc-utils desktop-file-utils

%description
gcalctool is a powerful graphical calculator with financial, logical and 
scientific modes. It uses a multiple precision package to do its arithmetic 
to give a high degree of accuracy.

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q

%prep
%setup -n %{name}-%{version}

%build
%configure \
--disable-schemas-install \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor gnome --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --remove-only-show-in GNOME				\
  --remove-only-show-in XFCE				\
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# delete this crap
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_sysconfdir
%_bindir
%_applications
%_datadir/gcalctool
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 5.28.1-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 5.26.0-1
- initial CCux package release
